<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('profesionales_servicios', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->foreignId('profesional_id')
                  ->constrained('profesionales')
                  ->onDelete('cascade');
            
            $table->foreignId('servicio_id')
                  ->constrained('servicios')
                  ->onDelete('cascade');

            $table->unique(['profesional_id','servicio_id'], 'profesionales_servicios_unique');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profesionales_servicios');
    }
};
